Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class DispatchtedRequestDispatcher

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.DispatchtedRequestDispatcher

All Implemented Interfaces:
  javax.servlet.RequestDispatcher

    public class DispatchtedRequestDispatcher

extends java.lang.Object
implements javax.servlet.RequestDispatcher

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`DispatchtedRequestDispatcher(javax.servlet.RequestDispatcher realDispatcher, java.lang.String path)`

Method Summary
`void` | `forward(javax.servlet.ServletRequest req, javax.servlet.ServletResponse resp)`
`void` | `include(javax.servlet.ServletRequest req, javax.servlet.ServletResponse resp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DispatchtedRequestDispatcher

    public DispatchtedRequestDispatcher(javax.servlet.RequestDispatcher realDispatcher,
                                        java.lang.String path)

Method Detail

### include

    public void include(javax.servlet.ServletRequest req,
                        javax.servlet.ServletResponse resp)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    `include` in interface `javax.servlet.RequestDispatcher`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### forward

    public void forward(javax.servlet.ServletRequest req,
                        javax.servlet.ServletResponse resp)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    `forward` in interface `javax.servlet.RequestDispatcher`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.